
function drawBackground()
	love.graphics.setColor(220,220,220)
	love.graphics.rectangle("fill", 0, 0, 800, 600)
end

function drawGrid()
love.graphics.setColor(0,0,0)
local width, height = love.window.getDimensions()
	for i=0,width,40 do
		love.graphics.line(i,0,i,height)
		love.graphics.line(0,i,width,i)
	end


end

function drawWalls()
	-- draws walls
	love.graphics.setColor(0,255,255)
	for i=4,#walls,4 do
		love.graphics.rectangle("fill",walls[i-3],walls[i-2], math.abs(walls[i-3]-walls[i-1]), math.abs(walls[i-2]-walls[i]))
	end
end


function drawBullets()
	-- friendly bullets
	love.graphics.setColor(0,0,255)
	for i=3,#bulletTable,3 do
		love.graphics.circle("fill",bulletTable[i-2],bulletTable[i-1], bulletRadius, 10)
	end

end

function drawPlayer()
	love.graphics.setColor(240,0,0)
	love.graphics.circle("fill",playerX,playerY,playerRadius,100)

end


function love.draw()

	
	drawBackground()
	drawGrid()
	drawPlayer()
	drawBullets()
	drawWalls()

end